/*
	Website by balzer

	Author: Damian Heini, VIZUAL <dh@vizual.ch>

    Event plugin
*/
.viz-event-list-container {
  padding-top: 0;
}
.viz-event-filter-container {
  margin-bottom: 4rem;
}
.viz-event-filter-container .viz-event-filter-day-list {
  display: flex;
  flex-wrap: wrap;
  column-gap: 3rem;
  row-gap: 1.5rem;
}
.viz-event-filter-container .viz-event-filter-day-list .viz-event-filter-day-item {
  flex: 0 0 calc(33% - 2rem);
  position: relative;
  display: inline-block;
  padding: 0.5rem 0.75rem;
  max-width: 26.25rem;
  font-size: clamp(1.125rem, 3vw, 1.5rem);
  line-height: 1.125em;
  color: #fff;
  box-shadow: 0 0 5px 5px rgba(0,0,0,0.35);
  background-color: #fc0;
  text-overflow: ellipsis;
  text-decoration: none;
  transition: transform 300ms ease;
  padding: 0.75rem 0.75rem;
  background-color: #8cc740;
  transition: all 0.3s ease;
  text-align: center;
}
.viz-event-filter-container .viz-event-filter-day-list .viz-event-filter-day-item:hover {
  transform: scale(1.05);
}
.viz-event-filter-container .viz-event-filter-day-list .viz-event-filter-day-item.active {
  background-color: #fc0;
}
.viz-event-filter-container .viz-event-filter-day-list .viz-event-filter-day-item.active .viz-event-date-weekday {
  color: #006936;
}
.viz-event-filter-container .viz-event-filter-day-list .viz-event-filter-day-item:hover {
  cursor: pointer;
  background-color: #fc0;
}
.viz-event-filter-container .viz-event-filter-day-list .viz-event-filter-day-item .viz-event-date-weekday {
  text-transform: uppercase;
  letter-spacing: 1px;
  transition: color 0.3s ease;
}
.viz-event-filter-container .viz-event-filter-day-list .viz-event-filter-day-item .viz-event-date {
  font-size: clamp(1rem, 3vw, 1.25rem);
}
.viz-event-list-columns-header {
  display: flex;
  column-gap: 2rem;
}
.viz-event-list-columns-header .viz-event-list-column-time {
  flex: 0 0 3.5rem;
}
.viz-event-list-columns-header .viz-event-list-column-theme {
  flex: 1 1 auto;
}
.viz-event-list-columns-header .viz-event-list-column-place {
  flex: 0 0 10rem;
}
.viz-event-list-columns-header .viz-event-list-column-more {
  flex: 0 0 4rem;
}
ul.viz-event-list {
  list-style: none;
  margin: 0;
  padding: 0;
}
ul.viz-event-list li.viz-event-list-item {
  list-style: none;
  padding: 0;
  margin: 0 0 2rem 0;
  transition: all 0.4s ease;
}
ul.viz-event-list li.viz-event-list-item.hidden {
  opacity: 0;
  max-height: 0;
  margin-bottom: 0;
}
ul.viz-event-list li.viz-event-list-item:before {
  display: block;
  content: " ";
  width: 100%;
  height: 1px;
  margin: 0 0 0.75rem 0;
  background-color: #fc0;
}
ul.viz-event-list li.viz-event-list-item .viz-event-item-content {
  position: relative;
  display: flex;
  column-gap: 2rem;
  height: 100%;
}
ul.viz-event-list li.viz-event-list-item .viz-event-item-content .viz-event-item-time-begin {
  flex: 0 0 3.5rem;
  display: flex;
  flex-direction: column;
  justify-content: center;
  width: 3.5rem;
  height: 3.5rem;
  background-color: #8cc740;
  font-size: 1.5rem;
}
ul.viz-event-list li.viz-event-list-item .viz-event-item-content .viz-event-item-time-begin span {
  display: block;
  line-height: 1em;
  text-align: center;
}
ul.viz-event-list li.viz-event-list-item .viz-event-item-text-wrapper {
  flex: 1 1 auto;
}
ul.viz-event-list li.viz-event-list-item .viz-event-item-text-wrapper:hover {
  cursor: pointer;
}
ul.viz-event-list li.viz-event-list-item .viz-event-item-text-wrapper .viz-event-item-top-part {
  display: flex;
  column-gap: 2rem;
  margin-bottom: 1rem;
}
ul.viz-event-list li.viz-event-list-item .viz-event-item-text-wrapper .viz-event-item-top-part .viz-event-item-title {
  flex: 1 1 auto;
  font-family: "MorlSans-Bold", sans-serif;
  line-height: 1.125em;
  font-size: clamp(1.25rem, 3.5vw, 1.5rem);
}
ul.viz-event-list li.viz-event-list-item .viz-event-item-text-wrapper .viz-event-item-top-part .viz-event-place {
  flex: 0 0 10rem;
}
ul.viz-event-list li.viz-event-list-item .viz-event-item-text-wrapper .viz-event-item-top-part .viz-event-item-more-link-container {
  flex: 0 0 4rem;
  height: 100%;
  overflow: visible;
  transition: transform 0.3s ease;
}
ul.viz-event-list li.viz-event-list-item .viz-event-item-text-wrapper .viz-event-item-top-part .viz-event-item-more-link-container .viz-collapsible-icon-text {
  display: block;
  visibility: hidden;
  height: 0;
  width: 0;
  overflow: hidden;
}
ul.viz-event-list li.viz-event-list-item .viz-event-item-text-wrapper .viz-event-item-top-part .viz-event-item-more-link-container .viz-collapsible-icon:hover svg {
  transform: scale(1.2);
}
ul.viz-event-list li.viz-event-list-item .viz-event-item-text-wrapper .viz-event-item-top-part .viz-event-item-more-link-container .viz-collapsible-icon svg {
  width: 1.75rem;
  height: 1.75rem;
  transition: transform 0.3s ease;
}
ul.viz-event-list li.viz-event-list-item .viz-event-item-text-wrapper .viz-event-item-top-part .viz-event-item-more-link-container .viz-collapsible-icon svg path.bu-arrow-circle {
  fill: #8cc740 !important;
}
ul.viz-event-list li.viz-event-list-item .viz-event-item-text-wrapper .viz-event-item-top-part .viz-event-item-more-link-container.open .viz-collapsible-icon svg {
  transform: rotate(90deg);
}
ul.viz-event-list li.viz-event-list-item .viz-event-item-text-wrapper .viz-collapsible-content-wrapper {
  position: relative;
  margin-left: -1rem;
  padding-left: 1rem;
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.5s ease;
}
ul.viz-event-list li.viz-event-list-item .viz-event-item-text-wrapper .viz-event-item-description p.viz-horizontal-alignment {
  padding-bottom: 0.75rem;
}
ul.viz-event-list li.viz-event-list-item .viz-event-item-text-wrapper .viz-event-item-description p .viz-link-button {
  font-size: 1rem;
}
@media (max-width: 740px) {
  .viz-event-filter-container .viz-event-filter-day-list {
    column-gap: 4vw;
  }
  .viz-event-filter-container .viz-event-filter-day-list .viz-event-filter-day-item {
    flex: 0 0 calc(33% - 2.666666666666667vw);
  }
}
@media (max-width: 480px) {
  .viz-event-filter-container .viz-event-filter-day-list .viz-event-filter-day-item {
    padding: 2vw 1vw;
  }
  .viz-event-list-columns-header {
    display: none;
  }
  ul.viz-event-list li.viz-event-list-item .viz-event-item-content {
    column-gap: 1rem;
  }
  ul.viz-event-list li.viz-event-list-item .viz-event-item-content .viz-event-item-time-begin {
    flex: 0 0 3rem;
  }
  ul.viz-event-list li.viz-event-list-item .viz-event-item-content .viz-event-item-text-wrapper {
    flex: 1 1 100%;
  }
  ul.viz-event-list li.viz-event-list-item .viz-event-item-content .viz-event-item-text-wrapper .viz-event-item-top-part {
    flex-wrap: wrap;
    column-gap: 1rem;
  }
  ul.viz-event-list li.viz-event-list-item .viz-event-item-content .viz-event-item-text-wrapper .viz-event-item-top-part .viz-event-item-title {
    flex: 1 0 100%;
  }
  ul.viz-event-list li.viz-event-list-item .viz-event-item-content .viz-event-item-text-wrapper .viz-event-item-top-part .viz-event-place {
    flex: 1 1 auto;
  }
  ul.viz-event-list li.viz-event-list-item .viz-event-item-content .viz-event-item-text-wrapper .viz-event-item-top-part .viz-event-item-more-link-container {
    flex: 0 0 3rem;
  }
}
